summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2018-03-10 17:10:53 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2018-03-10 23:22:26 +0100
commitdc75aff34f69068abbde04d0beb063fad3f76c91 (patch)
treef4c825abfe29afad5d0bca0b2ec3371fe67475ff /kde-frameworks/solid
parentdev-util/meson: Finish 0.44.1 stabilization for bug #649290. (diff)
downloadgentoo-dc75aff34f69068abbde04d0beb063fad3f76c91.tar.gz
gentoo-dc75aff34f69068abbde04d0beb063fad3f76c91.tar.bz2
gentoo-dc75aff34f69068abbde04d0beb063fad3f76c91.zip
kde-frameworks: Add KDE Frameworks 5.44.0
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'kde-frameworks/solid')
-rw-r--r--kde-frameworks/solid/Manifest1
-rw-r--r--kde-frameworks/solid/solid-5.44.0.ebuild32
2 files changed, 33 insertions, 0 deletions
diff --git a/kde-frameworks/solid/Manifest b/kde-frameworks/solid/Manifest
index 302fcb32ab1..46d8662d5e1 100644
--- a/kde-frameworks/solid/Manifest
+++ b/kde-frameworks/solid/Manifest
@@ -1,2 +1,3 @@
DIST solid-5.40.0.tar.xz 247840 BLAKE2B 0aaf2e81d152c3e616123e0959e356170aaa974d6431e33ec6fd935e3750311f444c57adb1f45772d1454db50b82a601df5929e2201c09960ecc4977b636f0db SHA512 83a63f08569b385ef21e3401aabe61c04cc7a727e0788b126a9c23f659fb24186f8810223b8b64da605033f46775b5b3ce6e8b2f1b2886b2b533afbcf2691bb9
DIST solid-5.43.0.tar.xz 249208 BLAKE2B 26db66973201b164b227e25763f619a4988edfd230673eb5d322eab438b1e6e40261b5a9dac7f921de27490c93e874efdf29c843bd82dbeca030693cad579e4d SHA512 6a7dc7d75a0340e69900758be5aecc201bf8c1e5a28b549e4f50107ae9ff800701b0abb88cf0c917347723e62d3222f4e066e399c916c537f3560ac7b9d20f1d
+DIST solid-5.44.0.tar.xz 256972 BLAKE2B 5734396d82fd3558ab665261073d5087e48035b7a31d534153e02a6a6df0968f7d2fd4fdefd6357c496356dc8479be9623ba517ae07b590c0553a271829a8409 SHA512 5e60699251be9703c33332fb5a445cea5e8e18d6b9adce093e1a3cdc89c6084696ce8fb9745458a6aa6f1bff8a499fba2a76fd641fe2b24541cb3371d2bd5f91
diff --git a/kde-frameworks/solid/solid-5.44.0.ebuild b/kde-frameworks/solid/solid-5.44.0.ebuild
new file mode 100644
index 00000000000..5ba7d7e8701
--- /dev/null
+++ b/kde-frameworks/solid/solid-5.44.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+VIRTUALX_REQUIRED="test"
+inherit kde5
+
+DESCRIPTION="Provider for platform independent hardware discovery, abstraction and management"
+LICENSE="LGPL-2.1+"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="nls"
+
+RDEPEND="
+ $(add_qt_dep qtdbus)
+ $(add_qt_dep qtdeclarative)
+ $(add_qt_dep qtwidgets)
+ $(add_qt_dep qtxml)
+ sys-fs/udisks:2
+ virtual/udev
+"
+DEPEND="${RDEPEND}
+ nls? ( $(add_qt_dep linguist-tools) )
+ test? ( $(add_qt_dep qtconcurrent) )
+"
+pkg_postinst() {
+ kde5_pkg_postinst
+
+ if ! has_version "app-misc/media-player-info" ; then
+ einfo "For media player support, install app-misc/media-player-info"
+ fi
+}